import { AvailableSNPKeySuffixTypes, ConfigType } from '@/feature/config/types';
export interface snpFile {
    SNPSuffixFileName: string;
    SNPKeySuffix: string;
    isCreated: boolean;
    path: string;
    realFilePath: string;
    realPath: string;
    templateVersion: string;
}
export type snpArrayPathFileSet<T extends string = AvailableSNPKeySuffixTypes & '_'> = {
    [K in T]?: snpFile;
} & {
    defaultFile: snpFile;
};
export type snpFileMapObjectType = Record<string, snpArrayPathFileSet> | Record<string, NonNullable<unknown>>;
export interface FileMapConfig {
    createdFileMap: string[];
    manualCreatedFileMap?: string[];
    rootPathFileList?: string[];
    templateVersion: string;
    fileMap: string[];
    templateFileList?: string[];
    snpFileMap?: snpFileMapObjectType;
}
export declare const updateDetailsFileMapConfig2: ({ realFilePath, operation, config, snpFileMapConfig, SNPKeySuffix, SNPSuffixFileName, isCreated, path, realPath, templateVersion, }: {
    SNPKeySuffix?: string | undefined;
    realFilePath?: string | undefined;
    operation: 'addConfigSuffixFile' | 'createSuffixFile' | 'createSNPRealFile' | 'deleteFile' | 'removeFileMap' | 'createRealFileName';
    config: ConfigType;
    snpFileMapConfig?: FileMapConfig | undefined;
    SNPSuffixFileName?: string | undefined;
    isCreated?: boolean | undefined;
    path?: string | undefined;
    realPath?: string | undefined;
    templateVersion?: string | undefined;
}) => Promise<FileMapConfig>;
