import { __require as requireParallel } from './parallel.mjs';
import { __require as requireSerial } from './serial.mjs';
import { __require as requireSerialOrdered } from './serialOrdered.mjs';

var asynckit;
var hasRequiredAsynckit;

function requireAsynckit () {
	if (hasRequiredAsynckit) return asynckit;
	hasRequiredAsynckit = 1;
	asynckit =
	{
	  parallel      : requireParallel(),
	  serial        : requireSerial(),
	  serialOrdered : requireSerialOrdered()
	};
	return asynckit;
}

export { requireAsynckit as __require };
