import { readFile } from '../util/readFile.mjs';

const getContentToBuild = async (snpSetObject) => {
    const { defaultFile, customFile, extendFile } = snpSetObject;
    if (snpSetObject &&
        [defaultFile.isCreated, customFile?.isCreated, extendFile?.isCreated].some((data) => data !== false)) {
        if (customFile?.isCreated) {
            const contentCustomFile = await readFile(customFile?.path || '');
            if (contentCustomFile.length) {
                return await readFile(customFile?.path || '');
            }
        }
        if (extendFile?.isCreated) {
            const contentExtendFile = await readFile(extendFile?.path || '');
            if (contentExtendFile.length) {
                return (await readFile(defaultFile.path || '')) + '\n' + (await readFile(extendFile.path || ''));
            }
        }
        if (defaultFile.isCreated) {
            return await readFile(defaultFile.path || '');
        }
    }
    else {
        return null;
    }
};

export { getContentToBuild };
