import { createCatalog } from '../util/createCatalog.mjs';
import { buildURL } from '../util/formatterRepositoryFileNameUrl.mjs';
import { isFileOrFolderExists } from '../util/isFileOrFolderExists.mjs';
import { wgetAsync } from '../util/wget.mjs';

const getRemoteContentToBuild = async ({ config, snpObject, }) => {
    try {
        const contentUrl = buildURL({
            baseURL: config.remoteRootRepositoryUrl,
            relativePaths: [snpObject.SNPSuffixFileName],
        });
        if (!(await isFileOrFolderExists({ isDebug: config.isDebug, filePath: config.temporaryFolder }))) {
            await createCatalog(config.temporaryFolder);
        }
        return await wgetAsync(contentUrl, config.temporaryFolder).then(async (remoteContent) => {
            return remoteContent;
        });
    }
    catch (err) {
        console.error('Error while downloading config from github', err);
        throw err;
    }
};

export { getRemoteContentToBuild };
