import { debugFunction } from '../../util/debugFunction.mjs';
import { parseJSON } from '../../util/parseJSON.mjs';
import { readFile } from '../../util/readFile.mjs';
import { updateJsonFile } from '../../util/updateJsonFile.mjs';

const updateTemplateConfig = async ({ templateConfig, fileList, templateFileList, rootPathFileList, }) => {
    debugFunction(templateConfig.isDebug, { templateConfig }, '[PrepareTemplate] updateTemplateConfig');
    const repositoryMapFileConfig = await readFile(templateConfig.repositoryMapFilePath).then(async (bufferData) => parseJSON(bufferData.toString()));
    const newContent = repositoryMapFileConfig;
    const replaceFile = true;
    newContent.fileMap = fileList;
    newContent.templateFileList = templateFileList;
    newContent.rootPathFileList = rootPathFileList;
    await updateJsonFile({
        filePath: templateConfig.repositoryMapFilePath,
        config: templateConfig,
        newContent,
        replaceFile,
    });
    debugFunction(templateConfig.isDebug, { templateConfig, fileList, templateFileList }, '[PrepareTemplate] END updateTemplateConfig');
    return { templateConfig, newContent };
};

export { updateTemplateConfig };
