import src_default from '../../node_modules/prettier/index.mjs';
import fs from 'fs';

async function formatJsonWithPrettier(inputPath, outputPath, isDebug = false) {
    try {
        const fileContent = fs.readFileSync(inputPath, 'utf8');
        await src_default
            .format(fileContent, {
            parser: 'json',
            printWidth: 10,
            tabWidth: 2,
            useTabs: false,
        })
            .then((json) => {
            const finalOutputPath = outputPath || inputPath;
            fs.writeFileSync(finalOutputPath, json, 'utf8');
            if (isDebug) {
                console.log('JSON został sformatowany i zapisany do', finalOutputPath);
            }
        });
    }
    catch (error) {
        if (isDebug) {
            console.error('Wystąpił błąd podczas formatowania JSON:', error);
        }
    }
}

export { formatJsonWithPrettier };
