import path__default from 'path';
import { createPath } from './createPath.mjs';
import { getRealFileName } from './getRealFileName.mjs';

const getRealFilePath = ({ config, SNPSuffixFileName, }) => {
    const realFileName = getRealFileName({ config, contentToCheck: [SNPSuffixFileName] })[0];
    const snpPath = SNPSuffixFileName.replace(config.templateCatalogName, '');
    const directoryPath = path__default.dirname(snpPath);
    let realFilePath = createPath([directoryPath, realFileName]);
    if (realFilePath.startsWith('/')) {
        realFilePath = realFilePath.slice(1);
    }
    return realFilePath;
};

export { getRealFilePath };
