import deepmerge from '../../node_modules/deepmerge/dist/cjs.mjs';
import { l as lib } from '../../node_modules/fs-extra/lib/index.mjs';
import { createFile } from './createFile.mjs';
import { parseJSON } from './parseJSON.mjs';

async function updateJson({ filePath, newContent, replace = false, }) {
    try {
        return lib.readFile(filePath).then(async (bufferData) => {
            const jsonContent = parseJSON(bufferData.toString());
            const newJsonContent = replace ? newContent : deepmerge(jsonContent, newContent);
            await createFile({
                filePath,
                content: JSON.stringify(newJsonContent),
            });
        });
    }
    catch (err) {
        console.error(`Error while reading a file ${filePath}`, err);
        throw err;
    }
}

export { updateJson };
