import wget from '../../node_modules/node-wget/wget.mjs';

const wgetAsync = async (url, temporaryFolder) => {
    return new Promise((resolve, reject) => {
        wget({ url, dest: temporaryFolder ? temporaryFolder : './temporary/' }, (err, response, content) => {
            if (err) {
                reject(err);
            }
            else {
                if (content === '404: Not Found') {
                    resolve('');
                }
                resolve(content);
            }
        });
    });
};

export { wgetAsync };
