/**
 * Checks the existence of a file or folder in the file system.
 *
 * @param {string} filePath - The path to the file or folder whose existence is to be checked.
 * @param {boolean} [isDebug] - If true, enables debug logging.
 * @returns {Promise<boolean>} - Returns true if the file/folder exists, otherwise false.
 */
export declare function isFileOrFolderExists({ filePath, isDebug, }: {
    filePath: string;
    isDebug?: boolean;
}): Promise<boolean>;
